Bug 244057 - net/cloud-init: Update to 19.4
Summary: net/cloud-init: Update to 19.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ryan Steinmetz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-11 23:21 UTC by Andrey Fesenko
Modified: 2020-03-25 09:51 UTC (History)
0 users

See Also:
zi: maintainer-feedback+


Attachments
Update to 19.4 (1.83 KB, patch)
2020-02-11 23:21 UTC, Andrey Fesenko
no flags Details | Diff
Update to 20.1 (5.35 KB, patch)
2020-03-25 03:18 UTC, Andrey Fesenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Fesenko 2020-02-11 23:21:36 UTC
Created attachment 211571 [details]
Update to 19.4

Update port upstream accept base FreeBSD changes.

 * Official upstream now https://github.com/canonical/cloud-init/
 * distro: correctly set usr_lib_exec path for FreeBSD distro (40)
 * set_passwords: support for FreeBSD (46) [Igor Galić]
 * fix unlocking method on FreeBSD [Igor Galić]

take manteinership https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240372#c7

testport: OK (poudriere: 113amd64, 121amd64, 121i386, 13amd64 tested)

obsolete bug #240372
Comment 1 Ryan Steinmetz freebsd_committer freebsd_triage 2020-02-19 20:16:09 UTC
Approved.
Comment 2 Andrey Fesenko 2020-03-25 03:18:41 UTC
Created attachment 212688 [details]
Update to 20.1

Bump versiom

Patch files accepted upstream
Comment 3 commit-hook freebsd_committer 2020-03-25 09:51:50 UTC
A commit references this bug:

Author: krion
Date: Wed Mar 25 09:40:52 UTC 2020
New revision: 529084
URL: https://svnweb.freebsd.org/changeset/ports/529084

Log:
  Update to 20.1

  PR:		244057
  Submitted by:	Andrey Fesenko <andrey_at_bsdnir_dot_info>
  Approved by:	maintainer

Changes:
  head/net/cloud-init/Makefile
  head/net/cloud-init/distinfo
  head/net/cloud-init/files/
  head/net/cloud-init/pkg-descr